## myunity 1.0.10

=== debian/changelog ===
myunity (1.0.10-0ubuntu1) precise; urgency=low

  * Release into Ubuntu Archive. (LP: #891672)
  * New upstream release.

 -- Andrea Colangelo <warp10@ubuntu.com>  Fri, 25 Nov 2011 18:42:56 +0100

myunity (1.0.9-0ubuntu0~ppa1~precise) UNRELEASED; urgency=low

  * New upstream release:
    + Fix for issue on Ubuntu Natty;
    + Added french, german translations.
  * debian/control: improved description.

 -- Andrea Colangelo <warp10@ubuntu.com>  Wed, 23 Nov 2011 11:44:58 +0100

myunity (1.0.8-0ubuntu0~ppa1~precise) UNRELEASED; urgency=low

  * New upstream relese:
    + Fix for crash on Ubuntu Natty (LP: #893496). 

 -- Andrea Colangelo <warp10@ubuntu.com>  Tue, 22 Nov 2011 11:50:33 +0100

myunity (1.0.7-0ubuntu0~ppa2~precise) UNRELEASED; urgency=low

  * debian/watch: added.

 -- Andrea Colangelo <warp10@ubuntu.com>  Fri, 18 Nov 2011 12:45:00 +0100

myunity (1.0.7-0ubuntu0~ppa1~precise) UNRELEASED; urgency=low

  * New upstream release:
    + Added manpage;
    + Added Makefile.
  * debian/control: added Vcs-{Bzr,Browser} fields.
  * debian/install: dropped, now being useless.
  * debian/rules: modified to use upstream Makefile.

 -- Andrea Colangelo <warp10@ubuntu.com>  Fri, 18 Nov 2011 11:52:35 +0100

myunity (1.0.5-0ubuntu0~ppa1~precise) UNRELEASED; urgency=low

  * New upstream relese:
    + Closes: LP #891263:
    + Several .po files fixes.
  * debian/control: dropped wrong absolute dependency on unity.

 -- Andrea Colangelo <warp10@ubuntu.com>  Thu, 17 Nov 2011 08:33:06 +0100

myunity (1.0.4-0ubuntu0~ppa1~precise) UNRELEASED; urgency=low

  * New upstream release:
    + switched to English by default;
    + added multilanguage support.
  * debian/control: unity is now recommended.

 -- Andrea Colangelo <warp10@ubuntu.com>  Wed, 16 Nov 2011 12:36:19 +0100

myunity (1.0.3-0ubuntu0~ppa1~precise) UNRELEASED; urgency=low

  * New upstream release.
  * debian/myunity.desktop: dropped, now integrated upstream.
  * debian/install: modified to install upstream .desktop file.
  * debian/copyright: updated.
  * debian/control:
    + added Homepage field;
    + modified long description to fix lintian warning.
  * debian/rules:
    + added override to properly install upstream changelog;
    + modified to avoid FTBFS due to gbc2 naming scheme.
  * debian/docs: useless, removed.

 -- Andrea Colangelo <warp10@ubuntu.com>  Mon, 14 Nov 2011 22:34:03 +0100

myunity (1.0.1-0ubuntu0~ppa1~precise) UNRELEASED; urgency=low

  * Initial release.

 -- Andrea Colangelo <warp10@ubuntu.com>  Sat, 14 Nov 2011 10:52:45 +0100

## myunity 3.1.0

=== Makefile ===
# Copyright © 2011 Fabio Colinelli
# Copyright © 2011 Davide Pedrelli
#
# This program IS free software; you can redistribute it AND / OR modify
# it under the terms OF the GNU General PUBLIC License AS published by
# the Free Software Foundation; version 3 OF the License.
#
# This program IS distributed IN the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty OF
# MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.See the
# GNU General PUBLIC License FOR more details.
#
# You should have received a COPY OF the GNU General PUBLIC License
#
# along WITH this program; IF NOT, WRITE TO the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110 - 1301, USA.

PREFIX ?= /usr/local

build:
	gbc2 -a -t -p .
	gba2 .
	mv myunity*.gambas myunity

install: build
	install -d -m 755 $(PREFIX)/bin/
	install -d -m 755 $(PREFIX)/share/pixmaps/
	install -d -m 755 $(PREFIX)/share/applications/
	install -d -m 755 $(PREFIX)/share/man/man1
	install -m 755 myunity $(PREFIX)/bin/
	install -m 644 myunity.png $(PREFIX)/share/pixmaps/
	install -m 644 myunity.desktop $(PREFIX)/share/applications/
	install -m 644 myunity.1 $(PREFIX)/share/man/man1

clean:
	rm -f myunity

## myunity 1.0.11

=== debian/changelog ===
myunity (1.0.11-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Andrea Colangelo <warp10@ubuntu.com>  Wed, 30 Nov 2011 11:49:46 +0100

=== debian/control ===
Source: myunity
Section: utils
Priority: optional
Maintainer: Andrea Colangelo <warp10@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), gambas2-dev, gambas2-gb-gtk, gambas2-gb-form, gambas2-gb-gtk-ext
Standards-Version: 3.9.2
Homepage: https://launchpad.net/myunity
Vcs-Bzr: https://code.launchpad.net/~myunity/myunity/trunk
Vcs-Browser: http://bazaar.launchpad.net/~myunity/myunity/trunk/files

Package: myunity
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, gambas2-runtime, gambas2-gb-gtk, gambas2-gb-form, gambas2-gb-gtk-ext
Recommends: unity
Description: Unity configurator
 This program allows one to configure and tune Unity with a pleasant and
 comfortable graphical interface.
 .
 MyUnity is a third-party application, not official part of the Unity project.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PREFIX=$(CURDIR)/debian/myunity/usr

%:
	dh $@ 

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

## myunity 2.0.0

=== debian/changelog ===
myunity (2.0.0-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Andrea Colangelo <warp10@ubuntu.com>  Sat, 10 Dec 2011 23:17:22 +0100

## myunity 3.0.0

=== debian/changelog ===
myunity (3.0.0-0ubuntu1~oneiric1) oneiric-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 09 Mar 2012 17:33:04 +0000

myunity (3.0.0-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #941545): 
    + Brand new GUI.
    + Fully compatible with Ubuntu 12.04.
    + Several bugfixes.
  * debian/control: bump Standards-Version to 3.9.3. No changes required.
  * debian/copyright: update to copyright format 1.0.

 -- Andrea Colangelo <warp10@ubuntu.com>  Sun, 26 Feb 2012 17:19:28 +0100

## myunity 3.1.0

=== debian/changelog ===
myunity (3.1.0-0ubuntu1) precise; urgency=low

  * New upstream bugfix-only release:
    + Fix Unity2D related bug. (LP: #946016)
    + Several other bugfixes.

 -- Andrea Colangelo <warp10@ubuntu.com>  Sun, 11 Mar 2012 23:09:13 +0100

## myunity 3.1.1

=== debian/changelog ===
myunity (3.1.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix-only release:
    + Add check to avoid multiple istances. (LP: #952846)
    + Fix for "Display Panel Icon option" issue. (LP: #958452)
    + Fix issue related with quicklist options. (LP: #958457)

 -- Andrea Colangelo <warp10@ubuntu.com>  Thu, 22 Mar 2012 11:06:32 +0100

=== debian/watch ===
version=3
https://launchpad.net/myunity/+download http://launchpad.net/myunity/.*/myunity-(.+).tar.gz

## myunity 3.1.2

=== debian/changelog ===
myunity (3.1.2-0ubuntu1) precise; urgency=low

  * New upstream bugfix-only release:
    + Fix for crash when setting panel-menus-have-icons. (LP: #962568)
    + Fix for missing warning with default settings. (LP: #959809)
    + Fix for always on top enabled by default. (LP:  #962573)

 -- Andrea Colangelo <warp10@ubuntu.com>  Sat, 31 Mar 2012 17:08:50 +0200

## myunity 3.1.3

=== debian/changelog ===
myunity (3.1.3-0ubuntu1) precise; urgency=low

  * New upstream bugfix-only release:
    + Fix blurred MyUnity icon.
    + Fix issue with quicklinks duplicate entry.
    + "Default Settings" button is now more visible. (LP: #965304)
  * patches/svg_install.patch: add to fix FTBFS due to myunity.svg not
    properly installed by upstream Makefile.
  * patches/series: add accordingly.

 -- Andrea Colangelo <warp10@ubuntu.com>  Tue, 10 Apr 2012 12:18:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andrea Colangelo <warp10@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0), gambas2-dev, gambas2-gb-gtk, gambas2-gb-form, gambas2-gb-gtk-ext
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://launchpad.net/myunity
 Vcs-Bzr: https://code.launchpad.net/~myunity/myunity/trunk
 Vcs-Browser: http://bazaar.launchpad.net/~myunity/myunity/trunk/files

## myunity 3.1.5

=== Makefile ===
--- 
+++ 
@@ -24,11 +24,11 @@
 
 install: build
 	install -d -m 755 $(PREFIX)/bin/
-	install -d -m 755 $(PREFIX)/share/pixmaps/
+	install -d -m 755 $(PREFIX)/share/icons/hicolor/scalable/apps
 	install -d -m 755 $(PREFIX)/share/applications/
 	install -d -m 755 $(PREFIX)/share/man/man1
 	install -m 755 myunity $(PREFIX)/bin/
-	install -m 644 myunity.png $(PREFIX)/share/pixmaps/
+	install -m 644 myunity.svg $(PREFIX)/share/icons/hicolor/scalable/apps
 	install -m 644 myunity.desktop $(PREFIX)/share/applications/
 	install -m 644 myunity.1 $(PREFIX)/share/man/man1

=== debian/changelog ===
myunity (3.1.5-0ubuntu1~ubuntu11.10.1) oneiric-backports; urgency=low

  * No-change backport to oneiric (LP: #1023894)

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 12 Aug 2012 04:46:08 -0500

myunity (3.1.5-0ubuntu1) quantal; urgency=low

  * New upstream release. (LP: #1009590, #986544)
  * debian/patches/: drop, the only patch has been adopted upstream.
  * debian/control: drop Vcs-{Bzr,Browser}, unused.

 -- Andrea Colangelo <warp10@ubuntu.com>  Tue, 12 Jun 2012 08:46:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,6 @@
 Build-Depends: debhelper (>= 8.0.0), gambas2-dev, gambas2-gb-gtk, gambas2-gb-form, gambas2-gb-gtk-ext
 Standards-Version: 3.9.3
 Homepage: https://launchpad.net/myunity
-Vcs-Bzr: https://code.launchpad.net/~myunity/myunity/trunk
-Vcs-Browser: http://bazaar.launchpad.net/~myunity/myunity/trunk/files
 
 Package: myunity
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PREFIX=$(CURDIR)/debian/myunity/usr

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG
